| OpenZWave Library 1.6.0

Public Member Functions | Public Attributes | List of all members
OpenZWave::DNS Class Reference
Platform Abstraction Support

Implements platform-independent DNS lookup Operations. More...

`#include <DNS.h>`

## Public Member Functions
| DNS ()
| ~DNS ()
bool | LookupTxT (string lookup, string &result)
| Starts a DNS lookup for a TXT record. More...

## Public Attributes
DNSError | status

## Detailed Description

Implements platform-independent DNS lookup Operations.

## Constructor & Destructor Documentation

## ◆ DNS()

DNS::DNS | ( |  | ) |

## ◆ ~DNS()

DNS::~DNS | ( |  | ) |

## Member Function Documentation

## ◆ LookupTxT()

bool DNS::LookupTxT | ( | string | lookup,
|  | string & | result
| ) |  |

Starts a DNS lookup for a TXT record.

This function will lookup the TXT record for a address

Parameters

  lookup | the DNS address to lookup
  result | the result of the lookup request, or empty if the lookup failed.

Returns
  success/failure of the Lookup request

## Member Data Documentation

## ◆ status

DNSError OpenZWave::DNS::status

The documentation for this class was generated from the following files:

- DNS.h
- DNS.cpp